package com.iamberry.wechat.core.entity.integral;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iamberry.wechat.core.entity.coupon.CouponItem;
import org.springframework.format.annotation.DateTimeFormat;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  销售订单项表类
 * @author ys
 * @Date 2018-04-28
 */
public class IntegralItem  implements  Serializable{
    private static final long serialVersionUID = 2919221966398903010L;
    //订单条目id
    private Integer integralItemId;
    //所属订单
    private String integralItemOrderId;
    //商品id
    private Integer integralProductId;
    //商品数量
    private Integer integralItemNum;
    //支付的金额 合计
    private Integer integralItemTotal;
    //使用的积分 合计
    private Integer integralItemDfbi;
    //积分商品类型 1:商城内优惠券 2:其他
    private Integer integralItemProductType;
    //优惠券类型id
    private Integer integralItemCouponId;
    //优惠券id
    private String integralItemCouponItemId;
    //商品名称
    private String integralItemProductName;
    //商品价格
    private Integer integralItemProductPrice;
    //所需朵粉币
    private Integer integralItemProductDfbi;
    //介绍图
    private String integralItemProductPic;
    //创建时间'
    private Date integralItemCreateDate;

    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date couponUseEndDate;				//券截止使用时间

    private Integer couponType;					//优惠券折扣类型

    /*在生成优惠券的时候有优惠券对象*/
    private CouponItem couponItem = new CouponItem();

    public Integer getIntegralItemId(){
        return integralItemId;
    }

    public void setIntegralItemId(Integer  integralItemId){
        this.integralItemId=integralItemId;
    }

    public String getIntegralItemOrderId(){
        return integralItemOrderId;
    }

    public void setIntegralItemOrderId(String  integralItemOrderId){
        this.integralItemOrderId=integralItemOrderId;
    }

    public Integer getIntegralProductId(){
        return integralProductId;
    }

    public void setIntegralProductId(Integer  integralProductId){
        this.integralProductId=integralProductId;
    }

    public Integer getIntegralItemNum(){
        return integralItemNum;
    }

    public void setIntegralItemNum(Integer  integralItemNum){
        this.integralItemNum=integralItemNum;
    }

    public Integer getIntegralItemTotal(){
        return integralItemTotal;
    }

    public void setIntegralItemTotal(Integer  integralItemTotal){
        this.integralItemTotal=integralItemTotal;
    }

    public Integer getIntegralItemDfbi(){
        return integralItemDfbi;
    }

    public void setIntegralItemDfbi(Integer  integralItemDfbi){
        this.integralItemDfbi=integralItemDfbi;
    }

    public Integer getIntegralItemProductType(){
        return integralItemProductType;
    }

    public void setIntegralItemProductType(Integer  integralItemProductType){
        this.integralItemProductType=integralItemProductType;
    }

    public Integer getIntegralItemCouponId(){
        return integralItemCouponId;
    }

    public void setIntegralItemCouponId(Integer  integralItemCouponId){
        this.integralItemCouponId=integralItemCouponId;
    }

    public String getIntegralItemCouponItemId(){
        return integralItemCouponItemId;
    }

    public void setIntegralItemCouponItemId(String  integralItemCouponItemId){
        this.integralItemCouponItemId=integralItemCouponItemId;
    }

    public String getIntegralItemProductName(){
        return integralItemProductName;
    }

    public void setIntegralItemProductName(String  integralItemProductName){
        this.integralItemProductName=integralItemProductName;
    }

    public Integer getIntegralItemProductPrice(){
        return integralItemProductPrice;
    }

    public void setIntegralItemProductPrice(Integer  integralItemProductPrice){
        this.integralItemProductPrice=integralItemProductPrice;
    }

    public Integer getIntegralItemProductDfbi(){
        return integralItemProductDfbi;
    }

    public void setIntegralItemProductDfbi(Integer  integralItemProductDfbi){
        this.integralItemProductDfbi=integralItemProductDfbi;
    }

    public String getIntegralItemProductPic(){
        return integralItemProductPic;
    }

    public void setIntegralItemProductPic(String  integralItemProductPic){
        this.integralItemProductPic=integralItemProductPic;
    }

    public Date getIntegralItemCreateDate(){
        return integralItemCreateDate;
    }

    public void setIntegralItemCreateDate(Date  integralItemCreateDate){
        this.integralItemCreateDate=integralItemCreateDate;
    }

    public CouponItem getCouponItem() {
        return couponItem;
    }

    public void setCouponItem(CouponItem couponItem) {
        this.couponItem = couponItem;
    }

    public Date getCouponUseEndDate() {
        return couponUseEndDate;
    }

    public void setCouponUseEndDate(Date couponUseEndDate) {
        this.couponUseEndDate = couponUseEndDate;
    }

    public Integer getCouponType() {
        return couponType;
    }

    public void setCouponType(Integer couponType) {
        this.couponType = couponType;
    }
}